# Runner: CLI options handling

Golang native options handling from the [Flag](https://golang.org/pkg/flag/) package makes it very
hard to implement extended POSIX-style options handling, like most CLI programs have. Accordingly,
existing packages address the problem:

* POSIX-style
  * basic : https://godoc.org/github.com/pborman/getopt
  * Fluent API : https://github.com/alecthomas/kingpin

## Questions

* Interaction with the [CLI configuration](runner_config.md) package ?